/**Begin D:\PDM_UPGRADE\PDM1\FCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCS_SUSPECTBILL_H')
 CREATE TABLE T_FCS_SUSPECTBILL_H (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBILLENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FCTRLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FUPRECORDCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
FDESTDESCRIBE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSUSPECTSETID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMER BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCS_SUSPECTBILL_H_L')
 CREATE TABLE T_FCS_SUSPECTBILL_H_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESTDESCRIBE NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCS_SUSPECTBILL_S_H')
 CREATE TABLE T_FCS_SUSPECTBILL_S_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUSPECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUSPECTBILLENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUSPECTBILLID BIGINT DEFAULT 0 NOT NULL,
FSUSPECTDATE DATETIME,
FSUSPECTDESCRIBE NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCS_SUSPECTBILL_S_H_L')
 CREATE TABLE T_FCS_SUSPECTBILL_S_H_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSUSPECTDESCRIBE NVARCHAR(2000) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\FCS_table.sql **/
